Update a custom carrier type
curl --request PATCH \
--url https://clarus-api.com/api/custom_carrier_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "custom_carrier_types",
"attributes": {
"name": "DPD Express UK",
"print_params": {
"page_width": 102
}
}
}
}
'import requests
url = "https://clarus-api.com/api/custom_carrier_types/{id}"
payload = { "data": {
"type": "custom_carrier_types",
"attributes": {
"name": "DPD Express UK",
"print_params": { "page_width": 102 }
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'custom_carrier_types',
attributes: {name: 'DPD Express UK', print_params: {page_width: 102}}
}
})
};
fetch('https://clarus-api.com/api/custom_carrier_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Custom Carrier Types
Update a custom carrier type
Update an existing custom carrier type’s name, code, or print parameters. Returns 204 No Content on success.
PATCH
/
api
/
custom_carrier_types
/
{id}
Update a custom carrier type
curl --request PATCH \
--url https://clarus-api.com/api/custom_carrier_types/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "custom_carrier_types",
"attributes": {
"name": "DPD Express UK",
"print_params": {
"page_width": 102
}
}
}
}
'import requests
url = "https://clarus-api.com/api/custom_carrier_types/{id}"
payload = { "data": {
"type": "custom_carrier_types",
"attributes": {
"name": "DPD Express UK",
"print_params": { "page_width": 102 }
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'custom_carrier_types',
attributes: {name: 'DPD Express UK', print_params: {page_width: 102}}
}
})
};
fetch('https://clarus-api.com/api/custom_carrier_types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
Response
Operation completed successfully with no content to return

